import type { CacheFactoryInterface } from '../Interface/index.js';
import type { CacheInterface } from '../Interface/index.js';
import type { TypeCacheConfig } from '../Type/index.js';
/**
 * Factory class for creating cache instances based on configuration.
 * Uses the CacheFactoryRegistry to instantiate the appropriate cache implementation.
 */
export declare class CacheFactoryFactory implements CacheFactoryInterface<TypeCacheConfig> {
    /**
     * Creates a cache instance based on the provided configuration.
     *
     * @param {TypeCacheConfig} config - The configuration object for the cache provider
     * @returns {CacheInterface} A cache provider instance
     * @throws {Error} When the requested cache provider cannot be created
     */
    createCache(config: TypeCacheConfig): CacheInterface;
}
