import type { CacheFactoryInterface } from '../Interface/index.js';
import type { TypeCacheConfig } from './TypeCacheConfig.js';
/**
 * Represents a constructor type for cache factory implementations.
 * This type ensures that any cache factory class can be instantiated
 * and properly implements the CacheFactoryInterface.
 *
 * @template T The specific cache factory interface implementation that extends CacheFactoryInterface
 * @template C The specific cache configuration type that extends TypeCacheConfig
 */
export type CacheFactoryConstructor<T extends CacheFactoryInterface<C>, C extends TypeCacheConfig = TypeCacheConfig> = new () => T;
